aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-05-06 09:52:47 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-05-06 09:54:52 +0000
commitf1567df9362b3744f9efe69f6544f94607c8b543 (patch)
treeb7c2fb70316274afc507abb0e834f0c1c15bbfca /main/apache2/APKBUILD
parent692420e9abb5049050b09d1385ad98befba1ecfc (diff)
downloadaports-f1567df9362b3744f9efe69f6544f94607c8b543.tar.gz
aports-f1567df9362b3744f9efe69f6544f94607c8b543.tar.bz2
aports-f1567df9362b3744f9efe69f6544f94607c8b543.tar.xz
main/apache2: rebuild against apr-1.5 for MPM event
and make sure we have all MPMs we expect. fixes #2866 (cherry picked from commit 6f8960df9ea8a93aeee3ec3683d1aca3fd1f7280)
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD11
1 files changed, 10 insertions, 1 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index 8369d45f26..a3e0ee858e 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apache2
pkgver=2.4.9
-pkgrel=0
+pkgrel=1
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
arch="all"
@@ -106,6 +106,15 @@ package() {
ln -fs /var/run/apache2 "$pkgdir"/var/www/run
ln -fs /usr/lib/apache2 "$pkgdir"/var/www/modules
ln -fs /etc/apache2/conf.d "$pkgdir"/var/www/conf.d
+
+ # verify all MPMs are built
+ # ref #2866
+ for i in prefork event worker; do
+ if ! [ -e "$pkgdir"/usr/lib/apache2/mod_mpm_$i.so ]; then
+ error "$i MPM was not built"
+ return 1
+ fi
+ done
}
# include the builddir and apxs in -dev package